"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// transform 函数中接收 data、headers、fns 3 个参数，其中 fns 代表一个或者多个转换函数。
// 内部逻辑很简单，遍历 fns，执行这些转换函数，并且把 data 和 headers 作为参数传入，每个转换函数返回的 data 会作为下一个转换函数的参数 data 传入。
function transform(data, headers, fns) {
    if (!fns) {
        return data;
    }
    // 如果不是数组则转为数组，为了统一遍历
    if (!Array.isArray(fns)) {
        fns = [fns];
    }
    fns.forEach(function (fn) {
        data = fn(data, headers);
    });
    return data;
}
exports.default = transform;
//# sourceMappingURL=transform.js.map