"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformResponseData = exports.transformRequestData = void 0;
var util_1 = require("./util");
// 请求的data如果是普通对象，转换成JSON字符串
function transformRequestData(data) {
    if ((0, util_1.isPlainObject)(data)) {
        // 普通对象需要转为JSON字符串才能被写进body被传递
        return JSON.stringify(data);
    }
    return data;
}
exports.transformRequestData = transformRequestData;
// 响应的data从JSON字符串转为普通对象
function transformResponseData(data) {
    if (typeof data === 'string') {
        try {
            data = JSON.parse(data);
        }
        catch (e) {
            // do nothing
        }
    }
    return data;
}
exports.transformResponseData = transformResponseData;
//# sourceMappingURL=data.js.map